Page MenuHomeFreeBSD

Add PNP info to PCI attachments of MFI, MALO, MWL, NFSMB, NGE, NTB_PLX, NLMSEC, NLMRSA, NFE, NVME drivers
ClosedPublic

Authored by lakhanshiva_gmail.com on Aug 1 2018, 1:33 PM.

Details

Reviewers
imp
chuck
cem
Summary

Update DPT to use PCI_MATCH

Update BKTR to use PCI_MATCH

Add PNP info to PCI attachment of MFI driver

Add PNP info to PCI attachments of MALO driver

Add PNP info to PCI attachment of MWL driver

Add PNP info to PCI attachments of NFSMB driver

Add PNP info to PCI attachments of NGE driver

Add PNP info to PCI attachments of NTB_PLX drivers

Add PNP info to PCI attachment og NLMSEC driver

Add PNP info to PCI attachment of NLMRSA driver

Add PNP info to PCI attachment of NFE driver

Add PNP info to PCI attachments of NVME driver

Diff Detail

Lint
Lint OK
Unit
No Unit Test Coverage
Build Status
Buildable 18513
Build 18218: arc lint + arc unit

Event Timeline

  • Add PNP info to PCI attachment of MFI driver
  • Add PNP info to PCI attachments of MALO driver
  • Add PNP info to PCI attachment of MWL driver
  • Add PNP info to PCI attachments of NFSMB driver
  • Add PNP info to PCI attachments of NGE driver
  • Add PNP info to PCI attachments of NTB_PLX drivers
  • Add PNP info to PCI attachment og NLMSEC driver
  • Add PNP info to PCI attachment of NLMRSA driver
  • Add PNP info to PCI attachment of NFE driver
  • Add PNP info to PCI attachments of NVME driver
  • Add PNP info to PCI attachments of NDIS driver
  • Add PNP info to PCI attachments of OCS driver
  • Add PNP info to PCI attachments of OHCI driver
cem resigned from this revision.Aug 2 2018, 1:03 AM
chuck accepted this revision.Dec 31 2018, 7:11 PM
This revision is now accepted and ready to land.Dec 31 2018, 7:11 PM
chuck closed this revision.Dec 31 2018, 7:12 PM